## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg110+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg120+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

## pgagent 4.2.1

=== CMakeLists.txt ===
#######################################################################
#
# pgAgent - PostgreSQL tools
# Copyright (C) 2002 - 2021, The pgAdmin Development Team
# This software is released under the PostgreSQL Licence
#
# CMakeLists.txt - CMake build configuration
#
#######################################################################

################################################################################
# Initial setup
################################################################################
IF(APPLE)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.8.8)
ELSE()
    CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
ENDIF(APPLE)

IF(COMMAND cmake_policy)
    CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

SET(CMAKE_FIND_LIBRARY_PREFIXES "")
SET(CMAKE_FIND_LIBRARY_SUFFIXES ".lib")

SET(STATIC_BUILD NO CACHE BOOL "Statically link the executable?")
SET(BOOST_MULTITHREADED_BUILD YES CACHE BOOL "Build multithreaded executable?")
SET(BOOST_STATIC_BUILD NO CACHE BOOL "Statically link the executable?")
################################################################################
# Apple stuff
################################################################################
IF(APPLE)
    # Setup default values
    IF(NOT HAVE_CACHED_VALUES)

        IF(EXISTS ${CMAKE_OSX_SYSROOT})
            SET(CMAKE_OSX_SYSROOT ${CMAKE_OSX_SYSROOT} CACHE FILEPATH "isysroot used for universal binary support" FORCE)
        ENDIF(EXISTS ${CMAKE_OSX_SYSROOT})

        IF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")
            SET(CMAKE_OSX_ARCHITECTURES ${CMAKE_OSX_ARCHITECTURES} CACHE STRING "Build architectures for OSX" FORCE)
        ELSE()
            SET(CMAKE_OSX_ARCHITECTURES "x86_64" CACHE STRING "Build architectures for OSX" FORCE)
        ENDIF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")

    ENDIF(NOT HAVE_CACHED_VALUES)

   # Target Tiger
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.9")
ENDIF(APPLE)

################################################################################
# Project config
################################################################################
PROJECT(pgagent)

# If changing the version number, remember to change here and under the CPack
# settings in this file, as well as the definition for pgagent_schema_version()
# in pgagent.sql and upgrade_pgagent.sql if the major version number is
# changed. The full version number also needs to be included in pgAgent.rc and
# pgaevent/pgamsgevent.rc at present.
SET(VERSION "4.2.1")

# CPack stuff
SET(CPACK_PACKAGE_VERSION_MAJOR 4)
SET(CPACK_PACKAGE_VERSION_MINOR 2)
SET(CPACK_PACKAGE_VERSION_PATCH 1)
SET(CPACK_PACKAGE_NAME "pgAgent")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pgAgent is a job scheduling engine for PostgreSQL")
SET(CPACK_PACKAGE_VENDOR "the pgAdmin Development Team")
IF(WIN32)
    SET(CPACK_GENERATOR ZIP)
ELSE(WIN32)
    SET(CPACK_GENERATOR TGZ)
ENDIF(WIN32)
SET(CPACK_SOURCE_GENERATOR TGZ)
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.DS_Store;/CVS/;/\\\\.svn/;\\\\.swp$;\\\\.#;/#;.*~;cscope.*")

ADD_DEFINITIONS(-DPGAGENT_VERSION_MAJOR=${CPACK_PACKAGE_VERSION_MAJOR})
ADD_DEFINITIONS(-DPGAGENT_VERSION="${VERSION}")

IF(WIN32)
    SET(BOOST_WIN_VERSION 0x0501)
    ADD_DEFINITIONS(-D_WIN32_WINNT=${BOOST_WIN_VERSION} -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
ENDIF(WIN32)

# This must come after we set the CPACK variables!!
INCLUDE(CPack)

################################################################################
# Find PostgreSQL
################################################################################
SET(PG_STATIC ${STATIC_BUILD})

FIND_PACKAGE(PG REQUIRED)

INCLUDE_DIRECTORIES(${PG_INCLUDE_DIRS})
LINK_DIRECTORIES(${PG_LIBRARY_DIRS})

################################################################################
# Find Boost Libraries
################################################################################
SET (Boost_FIND_REQUIRED TRUE)
SET (Boost_FIND_QUIETLY FALSE)
SET (Boost_DEBUG FALSE)
SET (Boost_USE_MULTITHREADED ${BOOST_MULTITHREADED_BUILD})
SET (Boost_USE_STATIC_LIBS ${BOOST_STATIC_BUILD})

FIND_PACKAGE(Boost COMPONENTS filesystem regex date_time thread system)

if(Boost_FOUND)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})
ELSE()
  MESSAGE(FATAL_ERROR "Boost library not found.")
endif()

################################################################################
# Let's rock!
################################################################################
INCLUDE_DIRECTORIES(${pgagent_SOURCE_DIR}
                    ${pgagent_SOURCE_DIR}/include)

FILE(GLOB _cpp_files *.cpp)
FILE(GLOB _h_files include/*.h)

SET(_srcs ${_cpp_files} ${_h_files})

IF(WIN32)
    SET(_srcs ${_srcs} pgagent.rc)
ENDIF(WIN32)

ADD_EXECUTABLE(pgagent ${_srcs})
IF(UNIX AND NOT APPLE)
TARGET_LINK_LIBRARIES(
        pgagent ${PG_LIBRARIES} ${Boost_LIBRARIES} -pthread
)
ELSE()
TARGET_LINK_LIBRARIES(
        pgagent ${PG_LIBRARIES} ${Boost_LIBRARIES}
)
ENDIF()

# Installation
IF (WIN32)
    INSTALL(TARGETS pgagent DESTINATION .)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION .)
ELSE(WIN32)
    INSTALL(TARGETS pgagent DESTINATION bin)
    INSTALL(FILES ${pgagent_SOURCE_DIR}/sql/pgagent.sql DESTINATION share)
ENDIF(WIN32)

INSTALL(FILES ${pgagent_SOURCE_DIR}/README DESTINATION .)
INSTALL(FILES ${pgagent_SOURCE_DIR}/LICENSE DESTINATION .)

# Extension
IF(PG_EXTENSION)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql pgagent.control
        COMMAND ${CMAKE_COMMAND} -D MAJOR_VERSION=${CPACK_PACKAGE_VERSION_MAJOR} -D MINOR_VERSION=${CPACK_PACKAGE_VERSION_MINOR} -DPGAGENT_SOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/MakeExt.cmake
        MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/sql/pgagent.sql
    )
    ADD_CUSTOM_TARGET(run ALL DEPENDS ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql ${CMAKE_BINARY_DIR}/pgagent.control)
    INSTALL(FILES ${CMAKE_BINARY_DIR}/pgagent--${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.sql DESTINATION ${PG_SHARE_DIR}/extension)
    FILE(GLOB SQL "${CMAKE_CURRENT_SOURCE_DIR}/sql/*--*.sql")
    FILE(GLOB CONTROL "${CMAKE_CURRENT_SOURCE_DIR}/*.control")
    INSTALL(FILES ${CMAKE_BINARY_DIR}/pgagent.control ${CONTROL} ${SQL} DESTINATION ${PG_SHARE_DIR}/extension)
ENDIF(PG_EXTENSION)

################################################################################
# pgaevent
################################################################################
IF(WIN32)
    ADD_SUBDIRECTORY(pgaevent)
ENDIF(WIN32)

################################################################################
# Build summary
################################################################################
MESSAGE(STATUS " ")

MESSAGE(STATUS "================================================================================")
MESSAGE(STATUS "Configuration summary:")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  Project                     : ${PROJECT_NAME}")
MESSAGE(STATUS "  Description                 : ${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
MESSAGE(STATUS "  Version                     : ${VERSION}")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  PostgreSQL version string   : ${PG_VERSION_STRING}")
IF(${PG_MAJOR_VERSION} GREATER 9)
	MESSAGE(STATUS "  PostgreSQL version parts    : ${PG_MAJOR_VERSION}")
ELSE()
	MESSAGE(STATUS "  PostgreSQL version parts    : ${PG_MAJOR_VERSION}.${PG_MINOR_VERSION}")
ENDIF(${PG_MAJOR_VERSION} GREATER 9)
MESSAGE(STATUS "  PostgreSQL path             : ${PG_ROOT_DIR}")
MESSAGE(STATUS "  PostgreSQL config binary    : ${PG_CONFIG_PATH}")
MESSAGE(STATUS "  PostgreSQL include path     : ${PG_INCLUDE_DIRS}")
MESSAGE(STATUS "  PostgreSQL library path     : ${PG_LIBRARY_DIRS}")
MESSAGE(STATUS "  PostgreSQL share path       : ${PG_SHARE_DIR}")
MESSAGE(STATUS " ")
MESSAGE(STATUS "  Boost version               : ${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION}.${Boost_SUBMINOR_VERSION}")
MESSAGE(STATUS "  Boost path                  : ${Boost_INCLUDE_DIRS}")
MESSAGE(STATUS "  Boost include directory     : ${Boost_INCLUDE_DIRS}")
MESSAGE(STATUS "  Boost library directory     : ${Boost_LIBRARY_DIRS}")
MESSAGE(STATUS "  Boost Static linking        : ${Boost_USE_STATIC_LIBS}")
MESSAGE(STATUS "================================================================================")
MESSAGE(STATUS " ")

################################################################################
# Give ourselves a hint that we have cached values - must be last!
################################################################################
IF(NOT HAVE_CACHED_VALUES)
    SET(HAVE_CACHED_VALUES 1 CACHE INTERNAL "Flag to indicate that we have cached values")
ENDIF(NOT HAVE_CACHED_VALUES)

=== pgaevent/CMakeLists.txt ===
#######################################################################
#
# pgAgent - PostgreSQL tools
# Copyright (C) 2002 - 2021, The pgAdmin Development Team
# This software is released under the PostgreSQL Licence
#
# pgaevent/CMakeLists.txt - CMake build configuration
#
#######################################################################

################################################################################
# Let's rock!
################################################################################
IF(WIN32)
    SET(_srcs pgaevent.c pgaevent.def pgamsgevent.rc)

    ADD_LIBRARY(pgaevent MODULE ${_srcs})

    INSTALL(TARGETS pgaevent DESTINATION .)
ENDIF(WIN32)

=== debian/changelog ===
pgagent (4.2.1-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200

=== debian/control ===
Source: pgagent
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 cmake (>= 3.3),
 debhelper (>= 10),
 libboost-date-time-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libpq-dev (>= 8.1),
 postgresql-all,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.pgadmin.org/docs/dev/pgagent.html
Vcs-Git: https://salsa.debian.org/postgresql/pgagent.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgagent

Package: pgagent
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ${Postgresql:Recommends},
Provides: ${Postgresql:Provides}
Suggests: pgadmin3 | pgadmin4
Description: job scheduling engine for PostgreSQL
 pgAgent is a job scheduling agent for PostgreSQL, capable of running
 multi-step batch/shell and SQL tasks on complex schedules.

## pgagent 4.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
             SET(CMAKE_OSX_SYSROOT ${CMAKE_OSX_SYSROOT} CACHE FILEPATH "isysroot used for universal binary support" FORCE)
         ENDIF(EXISTS ${CMAKE_OSX_SYSROOT})
 
-        IF(NOT ${CMAKE_OSX_ARCHITECTURES} STREQUAL "")
+        IF(NOT "${CMAKE_OSX_ARCHITECTURES}" STREQUAL "")
             SET(CMAKE_OSX_ARCHITECTURES ${CMAKE_OSX_ARCHITECTURES} CACHE STRING "Build architectures for OSX" FORCE)
         ELSE()
             SET(CMAKE_OSX_ARCHITECTURES "x86_64" CACHE STRING "Build architectures for OSX" FORCE)
@@ -62,12 +62,12 @@
 # in pgagent.sql and upgrade_pgagent.sql if the major version number is
 # changed. The full version number also needs to be included in pgAgent.rc and
 # pgaevent/pgamsgevent.rc at present.
-SET(VERSION "4.2.1")
+SET(VERSION "4.2.2")
 
 # CPack stuff
 SET(CPACK_PACKAGE_VERSION_MAJOR 4)
 SET(CPACK_PACKAGE_VERSION_MINOR 2)
-SET(CPACK_PACKAGE_VERSION_PATCH 1)
+SET(CPACK_PACKAGE_VERSION_PATCH 2)
 SET(CPACK_PACKAGE_NAME "pgAgent")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pgAgent is a job scheduling engine for PostgreSQL")
 SET(CPACK_PACKAGE_VENDOR "the pgAdmin Development Team")

=== debian/changelog ===
pgagent (4.2.2-4) unstable; urgency=medium

  * Upload for PostgreSQL 17.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 10:31:07 +0200

pgagent (4.2.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:11:27 +0200

pgagent (4.2.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Oct 2022 14:24:52 +0200

pgagent (4.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Repoint watch file at https://github.com/pgadmin-org/pgagent/tags.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Sep 2022 16:41:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake (>= 3.3),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libboost-date-time-dev,
  libboost-dev,
  libboost-filesystem-dev,
@@ -13,7 +13,7 @@
  libboost-thread-dev,
  libpq-dev (>= 8.1),
  postgresql-all,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://www.pgadmin.org/docs/dev/pgagent.html
 Vcs-Git: https://salsa.debian.org/postgresql/pgagent.git

## pgagent 4.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,11 +11,7 @@
 ################################################################################
 # Initial setup
 ################################################################################
-IF(APPLE)
-    CMAKE_MINIMUM_REQUIRED(VERSION 2.8.8)
-ELSE()
-    CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
-ENDIF(APPLE)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
 
 IF(COMMAND cmake_policy)
     CMAKE_POLICY(SET CMP0003 NEW)
@@ -62,7 +58,7 @@
 # in pgagent.sql and upgrade_pgagent.sql if the major version number is
 # changed. The full version number also needs to be included in pgAgent.rc and
 # pgaevent/pgamsgevent.rc at present.
-SET(VERSION "4.2.2")
+SET(VERSION "4.2.3")
 
 # CPack stuff
 SET(CPACK_PACKAGE_VERSION_MAJOR 4)

=== pgaevent/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #######################################################################
 #
 # pgAgent - PostgreSQL tools
-# Copyright (C) 2002 - 2021, The pgAdmin Development Team
+# Copyright (C) 2002 - 2024, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 # pgaevent/CMakeLists.txt - CMake build configuration

=== test/Makefile ===
PG_CONFIG = pg_config
REGRESS = init job
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgagent (4.2.3-4) unstable; urgency=medium

  * Fix compatibility with cmake 4. (Closes: #1113401)

 -- Christoph Berg <myon@debian.org>  Mon, 13 Oct 2025 07:57:27 +0000

pgagent (4.2.3-3) unstable; urgency=medium

  * Upload for PostgreSQL 18.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 11:49:46 +0200

pgagent (4.2.3-2) unstable; urgency=medium

  * Update Homepage, thanks Andreas Henriksson. (Closes: #1098491)

 -- Christoph Berg <myon@debian.org>  Wed, 26 Feb 2025 18:05:57 +0100

pgagent (4.2.3-1) unstable; urgency=medium

  * New upstream version 4.2.3 (Closes: 1092677, CVE-2025-0218).

 -- Christoph Berg <myon@debian.org>  Fri, 10 Jan 2025 18:23:20 +0100

=== debian/control ===
Source: pgagent
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.3),
 libboost-date-time-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libpq-dev (>= 8.1),
 postgresql-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.pgadmin.org/docs/pgadmin4/latest/pgagent.html
Vcs-Git: https://salsa.debian.org/postgresql/pgagent.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgagent

Package: pgagent
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${Postgresql:Recommends},
Provides:
 ${Postgresql:Provides},
Suggests:
 pgadmin3 | pgadmin4,
Description: job scheduling engine for PostgreSQL
 pgAgent is a job scheduling agent for PostgreSQL, capable of running
 multi-step batch/shell and SQL tasks on complex schedules.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PGVERSIONS = $(shell pg_buildext supported-versions)
COMMA = ,

%:
	dh $@

# install extension files for the other PostgreSQL versions
override_dh_link:
	set -ex; \
	version=$$(basename debian/pgagent/usr/share/postgresql/*); \
	for v in $(PGVERSIONS); do \
		test $$v = $$version && continue; \
		mkdir -p debian/pgagent/usr/share/postgresql/$$v/extension; \
		(cd debian/pgagent/usr/share/postgresql/$$v/extension && \
			ln -vs ../../$$version/extension/* .); \
	done
ifneq ($(DEB_HOST_ARCH), hurd-i386)
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	+PATH=$(CURDIR)/debian/pgagent/usr/bin:$(PATH) pg_buildext installcheck . test pgagent
endif
endif


override_dh_gencontrol:
	dh_gencontrol -- \
	  -VPostgresql:Recommends="$(patsubst %,postgresql-% |,$(PGVERSIONS))" \
	  -VPostgresql:Provides="$(patsubst %,postgresql-%-pgagent$(COMMA),$(PGVERSIONS))"

override_dh_auto_clean:
	dh_auto_clean
	# there is no "cmake clean" command
	rm -rf CMakeCache.txt CMakeFiles/ cmake_install.cmake CPack* install_manifest.txt Makefile
	[ ! -f test/Makefile ] || $(MAKE) -C test clean

=== debian/watch ===
version=3

opts="uversionmangle=s/_/./g" \
https://github.com/pgadmin-org/pgagent/tags .*/(?:REL|pgagent)-(.*).tar.gz
